org.omg.IOP

## Class IORHelper

- java.lang.Object
- - org.omg.IOP.IORHelper

-     public abstract class IORHelper
      extends Object

  org/omg/IOP/IORHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /HUDSON3/workspace/8-2-build-linux-amd64/jdk8u74/6087/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Friday, January 29, 2016 7:21:48 PM PST

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IORHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IOR` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, IOR that)`
    `static IOR` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, IOR value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IORHelper

          public IORHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    IOR that)

    - #### extract

          public static IOR extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static IOR read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   IOR value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.